using ApiA.EntityFrameworkCore;
using Volo.Abp.Autofac;
using Volo.Abp.BackgroundJobs;
using Volo.Abp.Modularity;

namespace ApiA.DbMigrator
{
    [DependsOn(
        typeof(AbpAutofacModule),
        typeof(ApiAEntityFrameworkCoreDbMigrationsModule),
        typeof(ApiAApplicationContractsModule)
        )]
    public class ApiADbMigratorModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            Configure<AbpBackgroundJobOptions>(options => options.IsJobExecutionEnabled = false);
        }
    }
}
